%define upstream_name    Dist-Zilla-Plugin-DualBuilders
%define upstream_version 1.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Allows use of Module::Build and ExtUtils::MakeMaker in a dzil dist
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::AfterBuild) >= 3.101.461
BuildRequires: perl(Dist::Zilla::Role::InstallTool) >= 3.101.461
BuildRequires: perl(Dist::Zilla::Role::PrereqSource) >= 3.101.461
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose) >= 1.30.0
BuildRequires: perl(Moose::Util::TypeConstraints) >= 1.10.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This plugin allows you to specify ModuleBuild and MakeMaker in your the
Dist::Zilla manpage _dist.ini_ and select only one as your prereq.
Normally, if this plugin is not loaded you will end up with both in your
prereq list and this is obviously not what you want!

	# In your dist.ini:
	[ModuleBuild]
	[MakeMaker] ; or [MakeMaker::Awesome], will work too :)
	[DualBuilders] ; needs to be specified *AFTER* the builders

This plugin accepts the following options:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.2.0-5.mga8
+ Revision: 1494283
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.2.0-4.mga7
+ Revision: 1267522
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.2.0-3.mga6
+ Revision: 1026196
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.2.0-2.mga6
+ Revision: 966418
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 1.2.0-1.mga6
+ Revision: 844462
- update to 1.002

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-5.mga5
+ Revision: 743687
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-4.mga5
+ Revision: 684432
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-3.mga4
+ Revision: 511079
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 366121
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 24 2011 jquelin <jquelin> 1.1.0-1.mga1
+ Revision: 58895
- update to 1.001

* Wed Jan 26 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 40409
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-DualBuilders

